## libreadline-java 0.8.0.1%2Bdfsg

=== debian/changelog ===
libreadline-java (0.8.0.1+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 4.2.1.
  * Set Breaks and Replaces in debian/control. The documentation is now only
    installed by libreadline-java-doc but was installed by both packages in
    Stretch. (Closes: #898380)

 -- Markus Koschany <apo@debian.org>  Wed, 29 Aug 2018 14:57:45 +0200

libreadline-java (0.8.0.1+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Don't install the NEWS file in libreadline-java-doc (Closes: #898380)
  * Mangle the package version in debian/watch

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 13 May 2018 01:29:20 +0200

libreadline-java (0.8.0.1+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Replaced javah to fix the build failure with Java 10 (Closes: #897530)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Updated the homepage
  * Added a watch file

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 03 May 2018 00:58:21 +0200

libreadline-java (0.8.0.1+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.1.1.
  * Build for Java 8. Replace MAKE command with dh_auto_build.
    Thanks to Chris West for the report. (Closes: #873991)
  * Build with --no-parallel to avoid a race condition.

 -- Markus Koschany <apo@debian.org>  Thu, 26 Oct 2017 14:29:58 +0200

libreadline-java (0.8.0.1+dfsg-5) unstable; urgency=medium

  * Address FTBFS with libedit 3.1-20160903-1 (Closes: #844872)
  * Remove Niels Thykier from Uploaders. (Closes: #770584)
    - Thank you for all of your help Niels!
  * Bump Standards-Version to 3.9.8.
  * Freshen debian/copyright.
  * Drop Conflicts/Provides on ancient packages:
    lib-editline-java, lib-readline-java, and libeditline-java

 -- tony mancill <tmancill@debian.org>  Sun, 20 Nov 2016 20:07:32 -0800

libreadline-java (0.8.0.1+dfsg-4) unstable; urgency=medium

  * Correct Vcs URLs.  (Closes: #759619)
  * Add myself to Uploaders.

 -- tony mancill <tmancill@debian.org>  Fri, 29 Aug 2014 08:56:52 -0700

libreadline-java (0.8.0.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Apply patch for compilation with clang (Closes: #742220)
    - Thanks to Nicolas Sevelin-Radiguet
  * Drop DMUA flag.
  * Bump Standards-Version to 3.9.5.
  * Add Vcs URLs to debian/control; commit package to pkg-java git repo.
  * Drop needless dependency on JRE.
  * Address build hardening warnings:
    - Depend on DH9.
    - Add makefile patch to honor CFLAGS.
    - Drop hard-coded LDFLAGS in debian/rules

 -- tony mancill <tmancill@debian.org>  Fri, 21 Mar 2014 06:40:38 -0700

libreadline-java (0.8.0.1+dfsg-2) unstable; urgency=low

  * Removed java-virtual-machine from suggests.
  * Stopped debian/rules from assuming that the doc package
    is always built. (Closes: #579291)

 -- Niels Thykier <niels@thykier.net>  Tue, 27 Apr 2010 09:32:07 +0200

libreadline-java (0.8.0.1+dfsg-1) unstable; urgency=low

  * New maintainer. (Closes: #577663)
  * Bumped Standards-Versions to 3.8.4
    - Changed section to java.
    - Added Homepage field.
  * Converted to 3.0 (quilt) source format.
  * Corrected doc-base section (it is now in Programming).
  * Added missing ${misc:Depends}.
  * Correct Build-Depends on libreadline-dev. (Closes: #553800)
  * Added --as-needed to linker flags to avoid linking against unused
    libraries.
  * Updated the README.Debian in libreadline-java and removed the one
    from the -doc package.
  * Made the build use the correct Java during build.
  * Linked the API against the system javadoc.
  * Move install location to api from api-html to comply with the Java
    Policy.
  * Convert build to dh7 and bumped debhelper compat to 7.
  * Updated debian/copyright.
  * Repacked to remove files without license and not from the upstream
    author.

 -- Niels Thykier <niels@thykier.net>  Wed, 21 Apr 2010 23:50:08 +0200

libreadline-java (0.8.0.1-8.2) unstable; urgency=low

  * Non-maintainer upload
  * also include /usr/lib/jvm/default-java/include/linux (closes: #559991)

 -- Rene Engelhard <rene@debian.org>  Fri, 22 Jan 2010 21:46:59 +0100

libreadline-java (0.8.0.1-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on default-jdk-builddep, not building anymore on arm, alpha, hppa.
    Closes: #477885.

 -- Matthias Klose <doko@debian.org>  Sat, 10 May 2008 16:07:57 +0200

libreadline-java (0.8.0.1-8) unstable; urgency=low

  * Change from using gcjh to gjavah, since gcjh has been removed
    (closes: #423992).
  * Switched from setting $DH_COMPAT to using debian/compat instead.
  * Removed blank lines from the end of the doc-base file, which seem to be
    confusing lintian.
  * Bump standards-version to 3.7.2.2 (no changes required).

 -- Ben Burton <bab@debian.org>  Sat, 19 May 2007 15:37:47 +1000

libreadline-java (0.8.0.1-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop Build-Depends on libgcj-dev. (Closes: #359737)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat,  5 Aug 2006 20:11:01 +0200

libreadline-java (0.8.0.1-7) unstable; urgency=low

  * Build-depends on java-gcj-compat-dev, so that the recently relocated
    jni.h can be found (closes: #371060).

 -- Ben Burton <bab@debian.org>  Thu,  8 Jun 2006 08:19:38 +1000

libreadline-java (0.8.0.1-6) unstable; urgency=low

  * Rebuilt using gcj-4.1; updated build scripts to reflect the new locations
    of JNI headers, updated build-depends accordingly.
  * Switched to DH_COMPAT=5 and updated build-depends accordingly.
  * Updated standards-version to 3.7.2.0 (no changes required).

 -- Ben Burton <bab@debian.org>  Wed,  7 Jun 2006 07:49:43 +1000

libreadline-java (0.8.0.1-5) unstable; urgency=low

  * Rebuilt against libreadline5 (closes: #326334).  Build-depends on
    libreadline4-dev changed to (libreadline5-dev | libreadline-dev).
  * Bumped standards-version to 3.6.2.1 (no changes required).


