=== debian/changelog ===
libreadline-java (0.8.0.1+dfsg-9build1) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 20:01:28 +0000
