=== debian/control ===
Source: libreadline-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 11),
 default-jdk,
 default-jdk-doc,
 libedit-dev (>= 3.1-20160903~),
 libreadline-dev,
 javahelper
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/java-team/libreadline-java.git
Vcs-Browser: https://salsa.debian.org/java-team/libreadline-java
Homepage: https://github.com/aclemons/java-readline

Package: libreadline-java
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libreadline-java-doc
Description: GNU readline and BSD editline wrappers for Java
 Included is the Java package org.gnu.readline which provides the GNU
 readline and BSD editline libraries for Java.  Note that this is NOT a
 pure Java implementation; it merely contains JNI wrappers for the standard
 system libraries.
 .
 BSD editline resembles GNU readline but is under a more relaxed license.
 In some cases it can be used as a drop-in replacement for GNU readline
 when licensing issues prevent GNU readline from being used.
 .
 The API documentation and examples can be found in libreadline-java-doc.

Package: libreadline-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: w3m | www-browser, default-jdk-doc
Suggests: libreadline-java
Breaks:
 libreadline-java (<< 0.8.0.1+dfsg-7)
Replaces:
 libreadline-java (<< 0.8.0.1+dfsg-7)
Description: API docs for readline/editline wrappers for Java
 This package provides the API documentation and examples for the
 GNU readline and BSD editline wrappers for Java.  The wrappers themselves
 can be found in package libreadline-java.
