=== debian/watch ===
version=4
opts="repack,compression=xz,uversionmangle=s/_/./g,dversionmangle=s/\+dfsg.*//g" \
https://github.com/aclemons/java-readline/tags .*/archive/(?:v|R_)([\d\._]+).tar.gz
